--- /dev/null	Mon Aug  5 17:23:42 2019
+++ new/usr/src/test/smf-tests/tests/svccfg/config.env	Mon Aug  5 17:23:42 2019
@@ -0,0 +1,82 @@
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License (the "License").
+# You may not use this file except in compliance with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+
+#
+# Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
+# Use is subject to license terms.
+#
+
+# This file defines configurable variable that are loaded during the
+# stf_configure stage.
+
+export SERVICE_APP=${STF_SUITE}/bin/service_app
+
+export TMPDIR=${TMPDIR:=/tmp}
+
+export OUTFILE=${OUTFILE:=$TMPDIR/stdout.$$}
+export ERRFILE=${ERRFILE:=$TMPDIR/stderr.$$}
+export CMDFILE=${CMDFILE:=$TMPDIR/cmd.$$}
+
+export SYNTAX_ERRMSG=${SYNTAX_ERRMSG:="Syntax error"}
+export SERVICE_EXISTS_ERRMSG=${SERVICE_EXISTS_ERRMSG:="Service already exists"}
+export INSTANCE_EXISTS_ERRMSG=${INSTANCE_EXISTS_ERRMSG:="Instance already exists"}
+export INVALID_NAME_ERRMSG=${INVALID_NAME_ERRMSG:="Invalid name"}
+export INVALID_FMRI_ERRMSG=${INVALID_FMRI_ERRMSG:="Invalid FMRI"}
+export UNSELECT_SCOPE_ERRMSG=${UNSELECT_SCOPE_ERRMSG:="Cannot unselect at scope level"}
+export INVALID_PROPGRP_ERRMSG=${INVALID_PROPGRP_ERRMSG:="Invalid property group"}
+export INVALID_PROPGRP_FLAG_ERRMSG=${INVALID_PROPGRP_FLAG_ERRMSG:="Invalid property group flag"}
+export NO_PROPGRP_ERRMSG=${NO_PROPGRP_ERRMSG:="No such property group"}
+export NO_PROP_ERRMSG=${NO_PROP_ERRMSG:="No such property"}
+export NOT_FOUND_PROPGRP_ERRMSG=${NOT_FOUND_PROPGRP_ERRMSG:="Couldn't find property group"}
+export INVALID_ERRMSG=${INVALID_ERRMSG:="Name, type, or flags are invalid"}
+export NOT_FOUND_ERRMSG=${NOT_FOUND_ERRMSG:="Not found."}
+export not_FOUND_ERRMSG=${not_FOUND_ERRMSG:="not found"}
+export ENTITY_NOT_FOUND_ERRMSG=${ENTITY_NOT_FOUND:="Entity not found"}
+export CANNOT_EXECUTE_ERRMSG=${CANNOT_EXECUTE_ERRMSG:="cannot execute"}
+export ADD_ENTITIES_ERRMSG=${ADD_ENTITES_ERRMSG:="Cannot add entities to an instance"}
+export NOT_SELECTED_ERRMSG=${NOT_SELECTED_ERRMSG:="An entity is not selected"}
+export NOT_SELECTED_INSTANCE_ERRMSG=${NOT_SELECTED_INSTANCE_ERRMSG:="Instance not selected"}
+export UNPARSEABLE_ERRMSG=${UNPARSEABLE_ERRMSG:="couldn't parse document"}
+export NOT_PROFILE_ERRMSG=${NOT_PROFILE_ERRMSG:="document is not a profile"}
+export NOT_MANIFEST_ERRMSG=${NOT_MANIFEST_ERRMSG:="document is not a manifest"}
+export NOT_SMFDTD_ERRMSG=${NOT_SMFDTD_ERRMSG:="document DTD unknown; not service bundle?"}
+export NO_FILE_ERRMSG=${NO_FILE_ERRMSG:="No such file or directory"}
+export UNKNOWN_COMMAND_ERRMSG=${UNKNOWN_COMMAND_ERRMSG:="Unknown command."}
+export NOT_DISABLED_ERRMSG=${NOT_DISABLED_ERRMSG:='is not in the "disabled" state.'}
+export INTERACTIVE_MODE_ERRMSG=${INTERACTIVE_MODE_ERRMSG:="Must be in interactive mode"}
+export NO_INSTANCE_SELECTED_ERRMSG=${NO_INSTANCE_SELECTED_ERRMSG:="No instance selected"}
+
+export NEW_ENTITY=${NEW_ENTITY:=new_entity_$$}
+export NEW_ENTITY_PROFILE=${NEW_ENTITY_PROFILE:=/tmp/newprofile}
+
+
+export TEST_PROPERTY=${TEST_PROPERTY:=svccfg_prop_$$}
+
+export TEST_SERVICE=${TEST_SERVICE:=svccfg_service_$$}
+export TEST_SERVICE_FMRI=${TEST_SERVICE_FMRI:=svc:/svccfg_service_$$}
+export TEST_INSTANCE=${TEST_INSTANCE:=instance_$$}
+export TEST_INSTANCE_FMRI=${TEST_INSTANCE_FMRI:=svc:/${TEST_SERVICE}:${TEST_INSTANCE}}
+
+export INVALID_NAME=${INVALID_NAME:=$$}
+export INVALID_NAME_LIST=${INVALID_NAME_LIST:="123456789 ~ abc\$def +foo+ _bar_"}
+export INVALID_FMRI=${INVALID_FMRI:=invalid_@#$#%^} 
+export INVALID_FMRI_LIST=${INVALID_FMRI_LIST:="invalid_@#$#%^ svc://invalid_@%@ svc://fmri:.12_invalid_instance"} 
+
